﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using BindingTest.Data;
using Infragistics.Controls.Grids;

namespace BindingTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            comboBox1.SelectedIndex = 0;
        }

        private void comboBox1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            Random r = new Random();
            DataTable table = new DataTable();

            table.Columns.Add(new DataColumn() { ColumnName = "ID", DataType = typeof(int) });
            table.Columns.Add(new DataColumn() { ColumnName = "Name", DataType = typeof(string) });
            table.Columns.Add(new DataColumn() { ColumnName = "UnitPrice", DataType = typeof(double) });
            table.Columns.Add(new DataColumn() { ColumnName = "Date", DataType = typeof(DateTime) });
            table.Columns.Add(new DataColumn() { ColumnName = "Discontinued", DataType = typeof(int) });
            if(comboBox1.SelectedIndex == 2)
                table.Columns.Add(new DataColumn() { ColumnName = "NEWCol", DataType = typeof(decimal) });
            if (comboBox1.SelectedIndex == 1)
                table.Columns.Add(new DataColumn() { ColumnName = "Newercol", DataType = typeof(int) });

            for (var i = 0; i < 1000; i++)
            {
                DataRow row = new DataRow();
                row["ID"] = i;
                row["Name"] = "Name";
                row["UnitPrice"] = Convert.ToDouble(r.Next(100));
                row["Date"] = DateTime.Now.AddDays(i);
                row["Discontinued"] = r.Next(2);
                if(comboBox1.SelectedIndex == 2)
                    row["NEWCol"] = Convert.ToDecimal(r.Next(20));
                if (comboBox1.SelectedIndex == 1)
                    row["Newercol"] = r.Next(200);

                table.Rows.Add(row);
            }

            xamGrid1.ItemsSource = table;

            Row rw = xamGrid1.Rows[0];
            foreach (DataColumn col in table.Columns)
            {
                if (col.DataType == typeof(Int32))
                {
                    TextColumn c = (TextColumn)xamGrid1.Columns[col.ColumnName];
                    if (c != null)
                    {
                        c.HorizontalContentAlignment = System.Windows.HorizontalAlignment.Right;
                        LessThanConditionalFormatRule less = new LessThanConditionalFormatRule();
                        less.Value = 20;
                        less.StyleToApply = Resources["NegativeValue"] as Style;
                        c.ConditionalFormatCollection.Add(less);

                    }
                }
            }
        }
    }
}
